diff --git a/gcc/testsuite/gcc.dg/analyzer/error-1.c b/gcc/testsuite/gcc.dg/analyzer/error-1.c
index 794a9ae7b42..6a20584ea45 100644
--- a/gcc/testsuite/gcc.dg/analyzer/error-1.c
+++ b/gcc/testsuite/gcc.dg/analyzer/error-1.c
@@ -65,28 +65,28 @@ void test_6 (int st, const char *str)
   __analyzer_eval (st == 0); /* { dg-warning "TRUE" } */
 }
 
-char *test_error_unterminated (int st)
+void test_error_unterminated (int st)
 {
   char fmt[3] = "abc";
   error (st, errno, fmt); /* { dg-warning "stack-based buffer over-read" } */
   /* { dg-message "while looking for null terminator for argument 3 \\('&fmt'\\) of 'error'..." "event" { target *-*-* } .-1 } */
 }
 
-char *test_error_at_line_unterminated (int st, int errno)
+void test_error_at_line_unterminated (int st, int errno)
 {
   char fmt[3] = "abc";
   error_at_line (st, errno, __FILE__, __LINE__, fmt); /* { dg-warning "stack-based buffer over-read" } */
   /* { dg-message "while looking for null terminator for argument 5 \\('&fmt'\\) of 'error_at_line'..." "event" { target *-*-* } .-1 } */
 }
 
-char *test_error_uninitialized (int st, int errno)
+void test_error_uninitialized (int st, int errno)
 {
   char fmt[16];
   error (st, errno, fmt); /* { dg-warning "use of uninitialized value 'fmt\\\[0\\\]'" } */
   /* { dg-message "while looking for null terminator for argument 3 \\('&fmt'\\) of 'error'..." "event" { target *-*-* } .-1 } */
 }
 
-char *test_error_at_line_uninitialized (int st, int errno)
+void test_error_at_line_uninitialized (int st, int errno)
 {
   char fmt[16];
   error_at_line (st, errno, __FILE__, __LINE__, fmt); /* { dg-warning "use of uninitialized value 'fmt\\\[0\\\]'" } */
diff --git a/gcc/testsuite/gcc.dg/analyzer/explode-1.c b/gcc/testsuite/gcc.dg/analyzer/explode-1.c
index 7d05f40a544..ba60f27f3bf 100644
--- a/gcc/testsuite/gcc.dg/analyzer/explode-1.c
+++ b/gcc/testsuite/gcc.dg/analyzer/explode-1.c
@@ -47,11 +47,11 @@ void test (void)
 	{
 	default:
 	case 0:
-	  *pp = malloc (16);  /* { dg-warning "leak" "" { xfail *-*-* } } */
-	  // TODO: xfail
+	  *pp = malloc (16);  /* { dg-warning "leak" } */ 
 	  break;
 	case 1:
-	  free (*pp);
+	  free (*pp); /* { dg-warning "uninit" } */
+	  /* { dg-warning "double-'free'" "" { target *-*-* } .-1 } */
 	  break;
 	case 2:
 	  /* no-op.  */
diff --git a/gcc/testsuite/gcc.dg/analyzer/explode-2.c b/gcc/testsuite/gcc.dg/analyzer/explode-2.c
index c16982f3bc4..3b987e10a4a 100644
--- a/gcc/testsuite/gcc.dg/analyzer/explode-2.c
+++ b/gcc/testsuite/gcc.dg/analyzer/explode-2.c
@@ -24,7 +24,7 @@ void test (void)
 	  p0 = malloc (16); /* { dg-warning "leak" "" { xfail *-*-* } } */
 	  break;
 	case 1:
-	  free (p0); /* { dg-warning "double-'free' of 'p0'" } */
+	  free (p0); /* { dg-warning "double-'free' of 'p0'" "" { xfail *-*-* } } */
 	  break;
 
 	case 2:
diff --git a/gcc/testsuite/gcc.dg/analyzer/explode-3.c b/gcc/testsuite/gcc.dg/analyzer/explode-3.c
index 1657836df98..0c7760a098c 100644
--- a/gcc/testsuite/gcc.dg/analyzer/explode-3.c
+++ b/gcc/testsuite/gcc.dg/analyzer/explode-3.c
@@ -29,11 +29,11 @@ void test (void)
 	{
 	default:
 	case 0:
-	  *pp = malloc (16); /* { dg-warning "leak" "" { xfail *-*-* } } */
-	  // TODO: xfail
+	  *pp = malloc (16); /* { dg-warning "leak" } */
 	  break;
 	case 1:
-	  free (*pp);
+	  free (*pp); /* { dg-warning "uninit" } */
+	  /* { dg-warning "double-'free'" "" { target *-*-* } .-1 } */
 	  break;
 	case 2:
 	  /* no-op.  */
diff --git a/gcc/testsuite/gcc.dg/analyzer/fd-datagram-socket.c b/gcc/testsuite/gcc.dg/analyzer/fd-datagram-socket.c
index 37c71591246..137e2b71bc7 100644
--- a/gcc/testsuite/gcc.dg/analyzer/fd-datagram-socket.c
+++ b/gcc/testsuite/gcc.dg/analyzer/fd-datagram-socket.c
@@ -37,10 +37,9 @@ void test_close_checked_socket (void)
 void test_leak_checked_socket (void)
 {
   int fd = socket (AF_UNIX, SOCK_DGRAM, 0); /* { dg-message "datagram socket created here" } */
-  if (fd == -1) /* { dg-warning "leak of file descriptor 'fd'" } */
+  if (fd == -1) 
     return;
-  // TODO: strange location for leak message
-}
+} /* { dg-warning "leak of file descriptor 'fd'" } */
 
 void test_bind (const char *sockname)
 {
@@ -76,8 +75,8 @@ void test_leak_of_bound_socket (const char *sockname)
   memset (&addr, 0, sizeof (addr));
   addr.sun_family = AF_UNIX;
   strncpy (addr.sun_path, sockname, sizeof(addr.sun_path) - 1);
-  bind (fd, (struct sockaddr *)&addr, sizeof (addr)); /* { dg-warning "leak of file descriptor 'fd'" } */
-}
+  bind (fd, (struct sockaddr *)&addr, sizeof (addr));
+} /* { dg-warning "leak of file descriptor 'fd'" } */
 
 void test_listen_on_datagram_socket_without_bind (void)
 {
diff --git a/gcc/testsuite/gcc.dg/analyzer/fd-glibc-byte-stream-connection-server.c b/gcc/testsuite/gcc.dg/analyzer/fd-glibc-byte-stream-connection-server.c
index 71dbef6d6e7..4d571dd2240 100644
--- a/gcc/testsuite/gcc.dg/analyzer/fd-glibc-byte-stream-connection-server.c
+++ b/gcc/testsuite/gcc.dg/analyzer/fd-glibc-byte-stream-connection-server.c
@@ -114,7 +114,7 @@ main (void)
                 new = accept (sock,
                               (struct sockaddr *) &clientname,
                               &size);
-                if (new < 0)
+                if (new < 0) /* { dg-bogus "leak" "FIXME" { xfail *-*-* } } */
                   {
                     perror ("accept");
                     exit (EXIT_FAILURE);
diff --git a/gcc/testsuite/gcc.dg/analyzer/fd-stream-socket.c b/gcc/testsuite/gcc.dg/analyzer/fd-stream-socket.c
index 1da9634c81d..2ddc7edc26a 100644
--- a/gcc/testsuite/gcc.dg/analyzer/fd-stream-socket.c
+++ b/gcc/testsuite/gcc.dg/analyzer/fd-stream-socket.c
@@ -36,10 +36,9 @@ void test_close_checked_socket (void)
 void test_leak_checked_socket (void)
 {
   int fd = socket (AF_UNIX, SOCK_STREAM, 0); /* { dg-message "stream socket created here" } */
-  if (fd == -1) /* { dg-warning "leak of file descriptor 'fd'" } */
+  if (fd == -1)
     return;
-  // TODO: strange location for leak message
-}
+} /* { dg-warning "leak of file descriptor 'fd'" } */
 
 void test_bind_on_checked_socket (const char *sockname)
 {
@@ -74,8 +73,8 @@ void test_leak_of_bound_socket (const char *sockname)
   memset (&addr, 0, sizeof (addr));
   addr.sun_family = AF_UNIX;
   strncpy (addr.sun_path, sockname, sizeof(addr.sun_path) - 1);
-  bind (fd, (struct sockaddr *)&addr, sizeof (addr)); /* { dg-warning "leak of file descriptor 'fd'" } */
-}
+  bind (fd, (struct sockaddr *)&addr, sizeof (addr));
+} /* { dg-warning "leak of file descriptor 'fd'" } */
 
 void test_listen_without_bind (void)
 {
diff --git a/gcc/testsuite/gcc.dg/analyzer/malloc-1.c b/gcc/testsuite/gcc.dg/analyzer/malloc-1.c
index b0882e0bab0..5afc0d2f536 100644
--- a/gcc/testsuite/gcc.dg/analyzer/malloc-1.c
+++ b/gcc/testsuite/gcc.dg/analyzer/malloc-1.c
@@ -267,13 +267,13 @@ int *test_23a (int n)
   return ptr;
 }
 
-int test_24 (void)
+void test_24 (void)
 {
   void *ptr = __builtin_alloca (sizeof (int)); /* { dg-message "region created on stack here" } */
   free (ptr); /* { dg-warning "'free' of 'ptr' which points to memory on the stack \\\[CWE-590\\\]" } */
 }
 
-int test_25 (void)
+void test_25 (void)
 {
   char tmp[100]; /* { dg-message "region created on stack here" } */
   void *p = tmp;
@@ -283,7 +283,7 @@ int test_25 (void)
 
 char global_buffer[100]; /* { dg-message "region created here" } */
 
-int test_26 (void)
+void test_26 (void)
 {
   void *p = global_buffer;
   free (p); /* { dg-warning "'free' of 'p' which points to memory not on the heap \\\[CWE-590\\\]" } */
diff --git a/gcc/testsuite/gcc.dg/analyzer/malloc-many-paths-2.c b/gcc/testsuite/gcc.dg/analyzer/malloc-many-paths-2.c
index 9f6440b52b2..4158da56039 100644
--- a/gcc/testsuite/gcc.dg/analyzer/malloc-many-paths-2.c
+++ b/gcc/testsuite/gcc.dg/analyzer/malloc-many-paths-2.c
@@ -15,11 +15,12 @@ extern void Py_Dealloc (PyObject *op);
 	Py_Dealloc((PyObject *)(op));			\
     } while (0)
 
-int test (PyObject *obj_01, PyObject *obj_02, PyObject *obj_03,
-	  PyObject *obj_04, PyObject *obj_05, PyObject *obj_06,
-	  PyObject *obj_07, PyObject *obj_08, PyObject *obj_09,
-	  PyObject *obj_10, PyObject *obj_11, PyObject *obj_12,
-	  PyObject *obj_13, PyObject *obj_14, PyObject *obj_15
+void
+test (PyObject *obj_01, PyObject *obj_02, PyObject *obj_03,
+      PyObject *obj_04, PyObject *obj_05, PyObject *obj_06,
+      PyObject *obj_07, PyObject *obj_08, PyObject *obj_09,
+      PyObject *obj_10, PyObject *obj_11, PyObject *obj_12,
+      PyObject *obj_13, PyObject *obj_14, PyObject *obj_15
 )
 {
   Py_DECREF (obj_01); Py_DECREF (obj_02); Py_DECREF (obj_03);
diff --git a/gcc/testsuite/gcc.dg/analyzer/malloc-paths-10.c b/gcc/testsuite/gcc.dg/analyzer/malloc-paths-10.c
index ef88388267b..5ec719656f7 100644
--- a/gcc/testsuite/gcc.dg/analyzer/malloc-paths-10.c
+++ b/gcc/testsuite/gcc.dg/analyzer/malloc-paths-10.c
@@ -1,7 +1,7 @@
 #include <stdlib.h>
 #include "analyzer-decls.h"
 
-int test (int flag)
+void test (int flag)
 {
   int other_flag;
   if (flag)
diff --git a/gcc/testsuite/gcc.dg/analyzer/malloc-vs-local-4.c b/gcc/testsuite/gcc.dg/analyzer/malloc-vs-local-4.c
index 7410a717762..b8cac71e85a 100644
--- a/gcc/testsuite/gcc.dg/analyzer/malloc-vs-local-4.c
+++ b/gcc/testsuite/gcc.dg/analyzer/malloc-vs-local-4.c
@@ -22,7 +22,7 @@ void __attribute__((noinline)) callee_2 (int *ptr)
   *ptr = 42;
 }
 
-int test_2 (int flag)
+void test_2 (int flag)
 {
   int i;
 
diff --git a/gcc/testsuite/gcc.dg/analyzer/memset-CVE-2017-18549-1.c b/gcc/testsuite/gcc.dg/analyzer/memset-CVE-2017-18549-1.c
index 418168d413e..aa28a72f53f 100644
--- a/gcc/testsuite/gcc.dg/analyzer/memset-CVE-2017-18549-1.c
+++ b/gcc/testsuite/gcc.dg/analyzer/memset-CVE-2017-18549-1.c
@@ -43,7 +43,7 @@ extern void check_uninit (u8 v);
 
 /* Adapted from drivers/scsi/aacraid/commctrl.c  */
 
-static int aac_send_raw_srb(/* [...snip...] */)
+static void aac_send_raw_srb(/* [...snip...] */)
 {
 	u32 byte_count = 0;
 
@@ -74,7 +74,7 @@ static int aac_send_raw_srb(/* [...snip...] */)
 	check_uninit (reply.padding[1]); /* { dg-warning "uninitialized value" } */
 }
 
-static int aac_send_raw_srb_fixed(/* [...snip...] */)
+static void aac_send_raw_srb_fixed(/* [...snip...] */)
 {
 	u32 byte_count = 0;
 
diff --git a/gcc/testsuite/gcc.dg/analyzer/null-deref-pr102671-1.c b/gcc/testsuite/gcc.dg/analyzer/null-deref-pr102671-1.c
index 65c7bac1f7e..7a8ad850e49 100644
--- a/gcc/testsuite/gcc.dg/analyzer/null-deref-pr102671-1.c
+++ b/gcc/testsuite/gcc.dg/analyzer/null-deref-pr102671-1.c
@@ -1,5 +1,5 @@
 /* { dg-require-effective-target ptr_eq_long } */
-/* { dg-additional-options "-O2 -Wno-shift-count-overflow -Wno-analyzer-symbol-too-complex" } */
+/* { dg-additional-options "-O2 -Wno-shift-count-overflow -Wno-analyzer-symbol-too-complex -fanalyzer-call-summaries" } */
 
 struct lisp;
 union vectorlike_header { long size; };
diff --git a/gcc/testsuite/gcc.dg/analyzer/null-deref-pr102671-2.c b/gcc/testsuite/gcc.dg/analyzer/null-deref-pr102671-2.c
index 298e4839b98..11f2683a82d 100644
--- a/gcc/testsuite/gcc.dg/analyzer/null-deref-pr102671-2.c
+++ b/gcc/testsuite/gcc.dg/analyzer/null-deref-pr102671-2.c
@@ -36,7 +36,7 @@ PSEUDOVECTOR_TYPEP (union vectorlike_header const *a, int code)
 {
   long PSEUDOVECTOR_FLAG = 1L << 62;
   long PVEC_TYPE_MASK = 0x3fL << 24;
-  return ((a->size & (PSEUDOVECTOR_FLAG | PVEC_TYPE_MASK)) /* { dg-bogus "dereference of NULL 'time'" "PR analyzer/107526" { xfail *-*-* } } */
+  return ((a->size & (PSEUDOVECTOR_FLAG | PVEC_TYPE_MASK)) /* { dg-bogus "dereference of NULL 'time'" "PR analyzer/107526" } */
 	  == (PSEUDOVECTOR_FLAG | (code << 24)));
 }
 
diff --git a/gcc/testsuite/gcc.dg/analyzer/pr101143.c b/gcc/testsuite/gcc.dg/analyzer/pr101143.c
index bcc0974d4e3..e4db20d8b70 100644
--- a/gcc/testsuite/gcc.dg/analyzer/pr101143.c
+++ b/gcc/testsuite/gcc.dg/analyzer/pr101143.c
@@ -10,7 +10,7 @@ test_malloc (void)
   return malloc (sizeof (int));
 }
 
-void *
+void
 test_alloca (void)
 {
   void *p = alloca (sizeof (int));
diff --git a/gcc/testsuite/gcc.dg/analyzer/pr101837.c b/gcc/testsuite/gcc.dg/analyzer/pr101837.c
index 1a1f7f63637..a61f1b5ec07 100644
--- a/gcc/testsuite/gcc.dg/analyzer/pr101837.c
+++ b/gcc/testsuite/gcc.dg/analyzer/pr101837.c
@@ -7,4 +7,6 @@ void memcheck(void *ptr) {
 }
 
 int emalloc(int size) { memcheck(__builtin_malloc(size)); } /* { dg-message "allocated here" } */
-int main() { int max_envvar_len = emalloc(max_envvar_len + 1); } /* { dg-message "use of uninitialized value 'max_envvar_len'" } */
+/* { dg-warning "use of uninitialized value '<return-value>'" "missing return" { target *-*-* } .-1 } */
+
+void main() { int max_envvar_len = emalloc(max_envvar_len + 1); } /* { dg-message "use of uninitialized value 'max_envvar_len'" } */
diff --git a/gcc/testsuite/gcc.dg/analyzer/pr101983-not-main.c b/gcc/testsuite/gcc.dg/analyzer/pr101983-not-main.c
index fbf3a393ebb..f152153b024 100644
--- a/gcc/testsuite/gcc.dg/analyzer/pr101983-not-main.c
+++ b/gcc/testsuite/gcc.dg/analyzer/pr101983-not-main.c
@@ -31,7 +31,7 @@ void func(struct list **res)
 	} while (true);
 }
 
-int not_main()
+void not_main()
 {
 	struct list *res;
 	func(&res);
diff --git a/gcc/testsuite/gcc.dg/analyzer/pr103892.c b/gcc/testsuite/gcc.dg/analyzer/pr103892.c
index a17c3b7e119..258536a6302 100644
--- a/gcc/testsuite/gcc.dg/analyzer/pr103892.c
+++ b/gcc/testsuite/gcc.dg/analyzer/pr103892.c
@@ -1,4 +1,4 @@
-/* { dg-additional-options "-O2 -Wno-analyzer-too-complex -Wno-analyzer-symbol-too-complex" } */
+/* { dg-additional-options "-O2 -Wno-analyzer-too-complex -Wno-analyzer-symbol-too-complex -fanalyzer-call-summaries" } */
 
 /* C only: C++ FE optimizes argstr_get_word completely away
    and therefore the number of SN diminishes compared to C,
diff --git a/gcc/testsuite/gcc.dg/analyzer/pr104224.c b/gcc/testsuite/gcc.dg/analyzer/pr104224.c
index 1ff5f9eae71..e45950b2ba7 100644
--- a/gcc/testsuite/gcc.dg/analyzer/pr104224.c
+++ b/gcc/testsuite/gcc.dg/analyzer/pr104224.c
@@ -50,8 +50,8 @@ void func5(const int *a, int max)
 
 int func6(const int *num)
 {
-        if (*num)  /* { dg-warning "uninitialized" } */
-                return *num;  /* { dg-warning "uninitialized" } */
+        if (*num)  /* { dg-warning "uninitialized" "FIXME: feasibility" { xfail *-*-* } } */
+                return *num;  /* { dg-warning "uninitialized" "FIXME: feasibility" { xfail *-*-* } } */
         else
                 return 0;
 }
@@ -66,7 +66,7 @@ void func8(const int *a, int max)
 {
         int i;
         for (i=0; i<max; i++) {
-                if (a[i]) /* { dg-warning "uninitialized" } */
+                if (a[i]) /* { dg-warning "uninitialized" "FIXME: feasibility" { xfail *-*-* } } */
                         printf("func8: %d\n", i);
         }
 }
@@ -78,8 +78,8 @@ int main(void)
         struct test t;  /* { dg-message "region created on stack here" } */
         int num;  /* { dg-message "region created on stack here" } */
         int arry[10];
-        int arry_2[10];  /* { dg-message "region created on stack here" } */
-        int go;  /* { dg-message "region created on stack here" } */
+        int arry_2[10];  /* { dg-message "region created on stack here" "FIXME: feasibility" { xfail *-*-* } } */
+        int go;  /* { dg-message "region created on stack here" "FIXME: feasibility" { xfail *-*-* } } */
         int color = BLACK;
 
         func1(&t);
@@ -88,7 +88,7 @@ int main(void)
         func5(arry, 10);
         func6(&num);
 
-        printf("num: %d\n", num);  /* { dg-warning "use of uninitialized value 'num'" } */
+        printf("num: %d\n", num);  /* { dg-warning "use of uninitialized value 'num'" "FIXME: feasibility" { xfail *-*-* } } */
         printf("func7: %d\n", func7());
         func8(arry_2, 10);
 
@@ -102,7 +102,10 @@ int main(void)
                 break;
         }
 
-        printf("go :%d\n", go); /* { dg-warning "use of uninitialized value 'go'" } */
+        printf("go :%d\n", go); /* { dg-warning "use of uninitialized value 'go'" "FIXME: feasibility" { xfail *-*-* } } */
 
         return 0;
 }
+
+/* FIXME: various tests above failing due to bugs in feasibility logic
+   preventing exit from loop in func_4.  */
diff --git a/gcc/testsuite/gcc.dg/analyzer/pr104434-nonconst.c b/gcc/testsuite/gcc.dg/analyzer/pr104434-nonconst.c
index 6bcb5bfc814..c06e3a63993 100644
--- a/gcc/testsuite/gcc.dg/analyzer/pr104434-nonconst.c
+++ b/gcc/testsuite/gcc.dg/analyzer/pr104434-nonconst.c
@@ -168,6 +168,6 @@ exit_level_0:
         info = -1;
         LAPACKE_xerbla( "LAPACKE_cgbbrd_work", info );
     }
-    return info; /* { dg-warning "leak of 'q_t'" "leak of q_t" } */
-    /* { dg-warning "leak of 'pt_t'" "leak of pt_t" { target *-*-* } .-1 } */
+    return info; /* { dg-warning "leak of 'q_t'" "leak of q_t" { xfail *-*-* } } */
+    /* { dg-warning "leak of 'pt_t'" "leak of pt_t" { xfail *-*-* } .-1 } */
 }
diff --git a/gcc/testsuite/gcc.dg/analyzer/pr93032-mztools-signed-char.c b/gcc/testsuite/gcc.dg/analyzer/pr93032-mztools-signed-char.c
index 1941e49f9e8..575776c8a2a 100644
--- a/gcc/testsuite/gcc.dg/analyzer/pr93032-mztools-signed-char.c
+++ b/gcc/testsuite/gcc.dg/analyzer/pr93032-mztools-signed-char.c
@@ -8,7 +8,7 @@
 /* { dg-require-effective-target int32plus } */
 
 /* TODO (PR analyzer/112528): remove need for this.  */
-/* { dg-additional-options "--param analyzer-max-enodes-per-program-point=40 --param analyzer-bb-explosion-factor=10" } */
+/* { dg-additional-options "--param analyzer-max-enodes-per-program-point=200 --param analyzer-bb-explosion-factor=50" } */
 
 /* Minimal replacement of system headers.  */
 
diff --git a/gcc/testsuite/gcc.dg/analyzer/pr93032-mztools-unsigned-char.c b/gcc/testsuite/gcc.dg/analyzer/pr93032-mztools-unsigned-char.c
index ca7ab132163..1ee16c3faad 100644
--- a/gcc/testsuite/gcc.dg/analyzer/pr93032-mztools-unsigned-char.c
+++ b/gcc/testsuite/gcc.dg/analyzer/pr93032-mztools-unsigned-char.c
@@ -8,7 +8,7 @@
 /* { dg-require-effective-target int32plus } */
 
 /* TODO (PR analyzer/112528): remove need for this.  */
-/* { dg-additional-options "--param analyzer-max-enodes-per-program-point=40 --param analyzer-bb-explosion-factor=10" } */
+/* { dg-additional-options "--param analyzer-max-enodes-per-program-point=200 --param analyzer-bb-explosion-factor=50" } */
 
 /* Minimal replacement of system headers.  */
 
diff --git a/gcc/testsuite/gcc.dg/analyzer/pr93355-localealias-feasibility-2.c b/gcc/testsuite/gcc.dg/analyzer/pr93355-localealias-feasibility-2.c
index df14bea7155..6a3a7f9846d 100644
--- a/gcc/testsuite/gcc.dg/analyzer/pr93355-localealias-feasibility-2.c
+++ b/gcc/testsuite/gcc.dg/analyzer/pr93355-localealias-feasibility-2.c
@@ -9,7 +9,7 @@
 #define PATH_SEPARATOR ':'
 #define LOCALE_ALIAS_PATH "value for LOCALE_ALIAS_PATH"
 
-const char *
+void
 _nl_expand_alias (void)
 {
   static const char *locale_alias_path;
diff --git a/gcc/testsuite/gcc.dg/analyzer/pr93355-localealias.c b/gcc/testsuite/gcc.dg/analyzer/pr93355-localealias.c
index c21de073f52..0fe52eb7a13 100644
--- a/gcc/testsuite/gcc.dg/analyzer/pr93355-localealias.c
+++ b/gcc/testsuite/gcc.dg/analyzer/pr93355-localealias.c
@@ -298,7 +298,7 @@ read_alias_file (fname, fname_len)
 
 	      if (nmap >= maxmap)
 		if (__builtin_expect (extend_alias_table (), 0))
-		  return added; /* { dg-warning "leak of FILE 'fp'" } */
+		  return added; /* { dg-warning "leak of FILE 'fp'" "" { xfail *-*-* } } */
 
 	      alias_len = strlen (alias) + 1;
 	      value_len = strlen (value) + 1;
@@ -311,7 +311,7 @@ read_alias_file (fname, fname_len)
 					? alias_len + value_len : 1024));
 		  char *new_pool = (char *) realloc (string_space, new_size);
 		  if (new_pool == NULL)
-		    return added;
+		    return added; /* { dg-warning "leak of FILE 'fp'" } */
 
 		  if (__builtin_expect (string_space != new_pool, 0))
 		    {
@@ -328,7 +328,7 @@ read_alias_file (fname, fname_len)
 		  string_space_max = new_size;
 		}
 
-	      map[nmap].alias = memcpy (&string_space[string_space_act],
+	      map[nmap].alias = memcpy (&string_space[string_space_act], /* { dg-warning "uninit" "FIXME" } */
 					alias, alias_len);
 	      string_space_act += alias_len;
 
diff --git a/gcc/testsuite/gcc.dg/analyzer/pr94579.c b/gcc/testsuite/gcc.dg/analyzer/pr94579.c
index 0ab88c2efb5..96d588cb475 100644
--- a/gcc/testsuite/gcc.dg/analyzer/pr94579.c
+++ b/gcc/testsuite/gcc.dg/analyzer/pr94579.c
@@ -2,7 +2,7 @@ struct a *c;
 struct a {
   int b;
 } d() {
-}
+} /* { dg-warning "use of uninitialized value '<return-value>'" } */
 
 void e()
 
diff --git a/gcc/testsuite/gcc.dg/analyzer/pr98599-a.c b/gcc/testsuite/gcc.dg/analyzer/pr98599-a.c
index 2bbf37b0e6e..0381a69b0eb 100644
--- a/gcc/testsuite/gcc.dg/analyzer/pr98599-a.c
+++ b/gcc/testsuite/gcc.dg/analyzer/pr98599-a.c
@@ -4,5 +4,5 @@
 /* { dg-additional-sources pr98599-b.c } */
 
 int b(int x);
-int a() { b(5); }
-int main() { a(); }
+int a() { return b(5); }
+int main() { return a(); }
diff --git a/gcc/testsuite/gcc.dg/analyzer/pr99771-1.c b/gcc/testsuite/gcc.dg/analyzer/pr99771-1.c
index 08449f9249e..c95250cf7ad 100644
--- a/gcc/testsuite/gcc.dg/analyzer/pr99771-1.c
+++ b/gcc/testsuite/gcc.dg/analyzer/pr99771-1.c
@@ -6,15 +6,15 @@
 void test_1 (void)
 {
   *(char*)malloc (1024) = 42; /* { dg-warning "dereference of possibly-NULL 'malloc\\(1024\\)'" } */
-} /* { dg-warning "leak of 'malloc\\(1024\\)'" "warning" } */
-  /* { dg-message "'malloc\\(1024\\)' leaks here" "final event" { target *-*-* } .-1 } */
+} /* { dg-warning "leak of 'malloc\\(1024\\)'" "warning" { target *-*-* } .-1 } */
+  /* { dg-message "'malloc\\(1024\\)' leaks here" "final event" { target *-*-* } .-2 } */
 
 void test_2 (size_t n)
 {
   *(char*)malloc (4 * n) = 42; /* { dg-warning "dereference of possibly-NULL 'malloc\\(n \\* 4\\)'" "warning" } */
   /* { dg-message "'malloc\\(n \\* 4\\)' could be NULL" "final event" { target *-*-* } .-1 } */
-} /* { dg-warning "leak of 'malloc\\(n \\* 4\\)'" "warning" } */
-  /* { dg-message "'malloc\\(n \\* 4\\)' leaks here" "final event" { target *-*-* } .-1 } */
+} /* { dg-warning "leak of 'malloc\\(n \\* 4\\)'" "warning" { target *-*-* } .-2 } */
+  /* { dg-message "'malloc\\(n \\* 4\\)' leaks here" "final event" { target *-*-* } .-3 } */
 
 /* A compound example.  */
 
@@ -22,29 +22,29 @@ void test_3 (size_t a, size_t b, size_t c)
 {
   *(char*)malloc (a + (b * c)) = 42; /* { dg-warning "dereference of possibly-NULL 'malloc\\(a \\+ b \\* c\\)'" "warning" } */
   /* { dg-message "'malloc\\(a \\+ b \\* c\\)' could be NULL" "final event" { target *-*-* } .-1 } */
-} /* { dg-warning "leak of 'malloc\\(a \\+ b \\* c\\)'" "warning" } */
-  /* { dg-message "'malloc\\(a \\+ b \\* c\\)' leaks here" "final event" { target *-*-* } .-1 } */
+} /* { dg-warning "leak of 'malloc\\(a \\+ b \\* c\\)'" "warning" { target *-*-* } .-2 } */
+  /* { dg-message "'malloc\\(a \\+ b \\* c\\)' leaks here" "final event" { target *-*-* } .-3 } */
 
 void test_4 (size_t a, size_t b, size_t c)
 {
   *(char *)malloc (a ? b : c) = 42; /* { dg-warning "dereference of possibly-NULL 'malloc\\(<unknown>\\)'" "warning" } */
   /* { dg-message "'malloc\\(<unknown>\\)' could be NULL" "final event" { target *-*-* } .-1 } */
-} /* { dg-warning "leak of 'malloc\\(<unknown>\\)'" "warning" } */
-  /* { dg-message "'malloc\\(<unknown>\\)' leaks here" "final event" { target *-*-* } .-1 } */
+} /* { dg-warning "leak of 'malloc\\(<unknown>\\)'" "warning" { target *-*-* } .-2 } */
+  /* { dg-message "'malloc\\(<unknown>\\)' leaks here" "final event" { target *-*-* } .-3 } */
 
 /* Unary operators.  */
 
 void test_5 (size_t a)
 {
   *(char*)malloc (-a) = 42; /* { dg-warning "dereference of possibly-NULL 'malloc\\(-a\\)'" } */
-} /* { dg-warning "leak of 'malloc\\(-a\\)'" "warning" } */
-  /* { dg-message "'malloc\\(-a\\)' leaks here" "final event" { target *-*-* } .-1 } */
+} /* { dg-warning "leak of 'malloc\\(-a\\)'" "warning" { target *-*-* } .-1 } */
+  /* { dg-message "'malloc\\(-a\\)' leaks here" "final event" { target *-*-* } .-2 } */
 
 void test_6 (size_t a)
 {
   *(char*)malloc (~a) = 42; /* { dg-warning "dereference of possibly-NULL 'malloc\\(~a\\)'" } */
-} /* { dg-warning "leak of 'malloc\\(~a\\)'" "warning" } */
-  /* { dg-message "'malloc\\(~a\\)' leaks here" "final event" { target *-*-* } .-1 } */
+} /* { dg-warning "leak of 'malloc\\(~a\\)'" "warning" { target *-*-* } .-1 } */
+  /* { dg-message "'malloc\\(~a\\)' leaks here" "final event" { target *-*-* } .-2 } */
 
 /* Field access.  */
 
@@ -53,11 +53,11 @@ struct s7 { size_t sz; };
 void test_7a(struct s7 s)
 {
   *(char*)malloc (s.sz) = 42; /* { dg-warning "dereference of possibly-NULL 'malloc\\(s\\.sz\\)'" } */
-} /* { dg-warning "leak of 'malloc\\(s\\.sz\\)'" "warning" } */
-  /* { dg-message "'malloc\\(s\\.sz\\)' leaks here" "final event" { target *-*-* } .-1 } */
+} /* { dg-warning "leak of 'malloc\\(s\\.sz\\)'" "warning" { target *-*-* } .-1 } */
+  /* { dg-message "'malloc\\(s\\.sz\\)' leaks here" "final event" { target *-*-* } .-2 } */
 
 void test_7b (struct s7 *s)
 {
   *(char*)malloc (s->sz) = 42; /* { dg-warning "dereference of possibly-NULL 'malloc\\(\\*s\\.sz\\)'" } */
-} /* { dg-warning "leak of 'malloc\\(\\*s\\.sz\\)'" "warning" } */
-  /* { dg-message "'malloc\\(\\*s\\.sz\\)' leaks here" "final event" { target *-*-* } .-1 } */
+} /* { dg-warning "leak of 'malloc\\(\\*s\\.sz\\)'" "warning" { target *-*-* } .-1 } */
+  /* { dg-message "'malloc\\(\\*s\\.sz\\)' leaks here" "final event" { target *-*-* } .-2 } */
diff --git a/gcc/testsuite/gcc.dg/analyzer/pr99774-2.c b/gcc/testsuite/gcc.dg/analyzer/pr99774-2.c
index d9704dee6f2..1e526b947dd 100644
--- a/gcc/testsuite/gcc.dg/analyzer/pr99774-2.c
+++ b/gcc/testsuite/gcc.dg/analyzer/pr99774-2.c
@@ -100,8 +100,8 @@ test_10 (void)
     return;
   n1->m_next = malloc (sizeof (struct node));
   /* Could free n1->m_next, but not n1.  */
-  const_unknown_fn (n1); /* { dg-warning "leak of 'n1'" } */
-}
+  const_unknown_fn (n1);
+} /* { dg-warning "leak of 'n1'" } */
 
 void
 test_11 (void)
@@ -111,8 +111,8 @@ test_11 (void)
     return;
   n1->m_next = malloc (sizeof (struct node));
   /* Could free n1->m_next, but not n1.  */
-  unknown_fn (n1->m_next); /* { dg-warning "leak of 'n1'" } */
-}
+  unknown_fn (n1->m_next);
+} /* { dg-warning "leak of 'n1'" } */
 
 void
 test_12a (void)
diff --git a/gcc/testsuite/gcc.dg/analyzer/sensitive-1.c b/gcc/testsuite/gcc.dg/analyzer/sensitive-1.c
index ee82bb68243..ae41fee1229 100644
--- a/gcc/testsuite/gcc.dg/analyzer/sensitive-1.c
+++ b/gcc/testsuite/gcc.dg/analyzer/sensitive-1.c
@@ -13,28 +13,28 @@
    Don't use a prototype, to avoid const mismatches.  */
 extern char *(getpass) ();
 
-char test_1 (FILE *logfile)
+void test_1 (FILE *logfile)
 {
   char *password = getpass (">"); /* { dg-message "\\(1\\) sensitive value acquired here" } */
   fprintf (logfile, "got password %s\n", password); /* { dg-warning "sensitive value 'password' written to output file \\\[CWE-532\\\]" "warning" } */
   /* { dg-message "\\(2\\) sensitive value 'password' written to output file; acquired at \\(1\\)" "event" { target *-*-* } .-1 } */
 }
 
-char test_2 (FILE *logfile, int i)
+void test_2 (FILE *logfile, int i)
 {
   char *password = getpass (">"); /* { dg-message "\\(1\\) sensitive value acquired here" } */
   fprintf (logfile, "got password[%i]: %s\n", i, password); /* { dg-warning "sensitive value 'password' written to output file \\\[CWE-532\\\]" } */
   /* { dg-message "\\(2\\) sensitive value 'password' written to output file; acquired at \\(1\\)" "event" { target *-*-* } .-1 } */
 }
 
-char test_3 (FILE *logfile)
+void test_3 (FILE *logfile)
 {
   char *password = getpass (">"); /* { dg-message "\\(1\\) sensitive value acquired here" } */
   printf ("got password %s\n", password); /* { dg-warning "sensitive value 'password' written to output file \\\[CWE-532\\\]" "warning" } */
   /* { dg-message "\\(2\\) sensitive value 'password' written to output file; acquired at \\(1\\)" "event" { target *-*-* } .-1 } */
 }
 
-char test_4 (FILE *logfile)
+void test_4 (FILE *logfile)
 {
   char *password = getpass (">"); /* { dg-message "\\(1\\) sensitive value acquired here" } */
   fwrite (password, strlen (password), 1, logfile); /* { dg-warning "sensitive value 'password' written to output file \\\[CWE-532\\\]" "warning" } */
@@ -46,7 +46,7 @@ static void called_by_test_5 (const char *value)
   printf ("%s", value); /* { dg-warning "sensitive value 'value' written to output file \\\[CWE-532\\\]" } */
 }
 
-char test_5 (FILE *logfile)
+void test_5 (FILE *logfile)
 {
   char *password = getpass (">");
   called_by_test_5 (password); /* { dg-message "passing sensitive value 'password' in call to 'called_by_test_5' from 'test_5'" } */
@@ -57,7 +57,7 @@ static char *called_by_test_6 (void)
   return getpass (">"); /* { dg-message "sensitive value acquired here" } */
 }
 
-char test_6 (FILE *logfile)
+void test_6 (FILE *logfile)
 {
   char *password = called_by_test_6 (); /* { dg-message "returning sensitive value to 'test_6' from 'called_by_test_6'" } */
   printf ("%s", password); /* { dg-warning "sensitive value 'password' written to output file \\\[CWE-532\\\]" } */
diff --git a/gcc/testsuite/gcc.dg/analyzer/state-diagram-1-sarif.py b/gcc/testsuite/gcc.dg/analyzer/state-diagram-1-sarif.py
index d92af8376cc..1282159c265 100644
--- a/gcc/testsuite/gcc.dg/analyzer/state-diagram-1-sarif.py
+++ b/gcc/testsuite/gcc.dg/analyzer/state-diagram-1-sarif.py
@@ -62,4 +62,4 @@ def test_state_graph(sarif):
     assert get_state_node_name(first) == 'first'
     assert get_state_node_type(first) == 'struct node *'
     
-    assert len(state['edges']) == 3
+    assert len(state['edges']) == 4
diff --git a/gcc/testsuite/gcc.dg/analyzer/stdarg-1.c b/gcc/testsuite/gcc.dg/analyzer/stdarg-1.c
index 4d5431b822c..7f0148eb1fb 100644
--- a/gcc/testsuite/gcc.dg/analyzer/stdarg-1.c
+++ b/gcc/testsuite/gcc.dg/analyzer/stdarg-1.c
@@ -113,7 +113,7 @@ __analyzer_test_not_enough_args_2_middle (int placeholder, ...)
 
 void test_not_enough_args_2 (void)
 {
-  __analyzer_test_not_enough_args_2_middle (42, "foo");
+  __analyzer_test_not_enough_args_2_middle (42, "foo"); /* { dg-message "calling '__analyzer_test_not_enough_args_2_middle' from 'test_not_enough_args_2' with 1 variadic argument" } */
 }
 
 /* Excess args (not a problem).  */
diff --git a/gcc/testsuite/gcc.dg/analyzer/strcmp-1.c b/gcc/testsuite/gcc.dg/analyzer/strcmp-1.c
index cc50a6fdba5..6b7d8a2aa46 100644
--- a/gcc/testsuite/gcc.dg/analyzer/strcmp-1.c
+++ b/gcc/testsuite/gcc.dg/analyzer/strcmp-1.c
@@ -3,28 +3,28 @@
 #include <string.h>
 #include <stdlib.h>
 
-int test_1 (const char *str, char *ptr)
+void test_1 (const char *str, char *ptr)
 {
   if (strcmp (str, "VALUE")) /* { dg-message "following 'true' branch \\(when the strings are non-equal\\)\\.\\.\\." } */
     free (ptr);
   free (ptr); /* { dg-warning "double-'free' of 'ptr'" } */
 }
 
-int test_2 (const char *str, char *ptr)
+void test_2 (const char *str, char *ptr)
 {
   if (strcmp (str, "VALUE") == 0) /* { dg-message "following 'true' branch \\(when the strings are equal\\)\\.\\.\\." } */
     free (ptr);
   free (ptr); /* { dg-warning "double-'free' of 'ptr'" } */
 }
 
-int test_3 (const char *str, char *ptr)
+void test_3 (const char *str, char *ptr)
 {
   if (!strcmp (str, "VALUE")) /* { dg-message "following 'true' branch \\(when the strings are equal\\)\\.\\.\\." } */
     free (ptr);
   free (ptr); /* { dg-warning "double-'free' of 'ptr'" } */
 }
 
-int test_4 (const char *str, char *ptr)
+void test_4 (const char *str, char *ptr)
 {
   if (strcmp (str, "VALUE")) /* { dg-message "following 'false' branch \\(when the strings are equal\\)\\.\\.\\." } */
     {
